Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/dialogs.cpp File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Macros | Functions | Variables
dialogs.cpp File Reference
`#include <QApplication>`
`#include <QButtonGroup>`
`#include <QComboBox>`
`#include <QGroupBox>`
`#include <QHeaderView>`
`#include <QImage>`
`#include <QMessageBox>`
`#include <QMouseEvent>`
`#include <QPainter>`
`#include <QPainterPath>`
`#include <QRadioButton>`
`#include <QRect>`
`#include <QTableWidgetItem>`
`#include <QTextEdit>`
`#include <QVBoxLayout>`
`#include <QtMath>`
`#include "astring.h"`
`#include "actions.h"`
`#include "city.h"`
`#include "game.h"`
`#include "government.h"`
`#include "improvement.h"`
`#include "movement.h"`
`#include "nation.h"`
`#include "research.h"`
`#include "audio.h"`
`#include "chatline_common.h"`
`#include "client_main.h"`
`#include "control.h"`
`#include "helpdata.h"`
`#include "packhand.h"`
`#include "text.h"`
`#include "tilespec.h"`
`#include "dialogs.h"`
`#include "fc_client.h"`
`#include "gui_main.h"`
`#include "hudwidget.h"`
`#include "qtg_cxxside.h"`
`#include "sprite.h"`

Go to the source code of this file.

## Macros

#define | BUTTON_WAIT (ACTION_COUNT + 1)
#define | BUTTON_CANCEL (BUTTON_WAIT + 1)
#define | BUTTON_COUNT (BUTTON_CANCEL + 1)

## Functions

void | popdown_all_spaceships_dialogs ()
void | popdown_players_report ()
void | popdown_economy_report ()
void | popdown_units_report ()
void | popdown_science_report ()
void | popdown_city_report ()
void | popdown_endgame_report ()
static void | spy_request_strike_bld_list (QVariant data1, QVariant data2)
static void | diplomat_incite (QVariant data1, QVariant data2)
static void | diplomat_incite_escape (QVariant data1, QVariant data2)
static void | spy_request_sabotage_list (QVariant data1, QVariant data2)
static void | spy_request_sabotage_esc_list (QVariant data1, QVariant data2)
static void | spy_sabotage (QVariant data1, QVariant data2)
static void | spy_steal (QVariant data1, QVariant data2)
static void | spy_steal_esc (QVariant data1, QVariant data2)
static void | spy_steal_something (QVariant data1, QVariant data2)
static void | diplomat_steal (QVariant data1, QVariant data2)
static void | diplomat_steal_esc (QVariant data1, QVariant data2)
static void | spy_poison (QVariant data1, QVariant data2)
static void | spy_poison_esc (QVariant data1, QVariant data2)
static void | spy_steal_gold (QVariant data1, QVariant data2)
static void | spy_steal_gold_esc (QVariant data1, QVariant data2)
static void | spy_steal_maps (QVariant data1, QVariant data2)
static void | spy_steal_maps_esc (QVariant data1, QVariant data2)
static void | spy_nuke_city (QVariant data1, QVariant data2)
static void | spy_nuke_city_esc (QVariant data1, QVariant data2)
static void | nuke_city (QVariant data1, QVariant data2)
static void | destroy_city (QVariant data1, QVariant data2)
static void | diplomat_embassy (QVariant data1, QVariant data2)
static void | spy_embassy (QVariant data1, QVariant data2)
static void | spy_sabotage_unit (QVariant data1, QVariant data2)
static void | spy_sabotage_unit_esc (QVariant data1, QVariant data2)
static void | spy_investigate (QVariant data1, QVariant data2)
static void | diplomat_investigate (QVariant data1, QVariant data2)
static void | diplomat_sabotage (QVariant data1, QVariant data2)
static void | diplomat_sabotage_esc (QVariant data1, QVariant data2)
static void | diplomat_bribe (QVariant data1, QVariant data2)
static void | caravan_marketplace (QVariant data1, QVariant data2)
static void | caravan_establish_trade (QVariant data1, QVariant data2)
static void | caravan_help_build (QVariant data1, QVariant data2)
static void | unit_disband_recover (QVariant data1, QVariant data2)
static void | capture_units (QVariant data1, QVariant data2)
static void | nuke_units (QVariant data1, QVariant data2)
static void | expel_unit (QVariant data1, QVariant data2)
static void | bombard (QVariant data1, QVariant data2)
static void | bombard2 (QVariant data1, QVariant data2)
static void | bombard3 (QVariant data1, QVariant data2)
static void | found_city (QVariant data1, QVariant data2)
static void | transform_terrain (QVariant data1, QVariant data2)
static void | cultivate (QVariant data1, QVariant data2)
static void | plant (QVariant data1, QVariant data2)
static void | pillage (QVariant data1, QVariant data2)
static void | clean_pollution (QVariant data1, QVariant data2)
static void | clean_fallout (QVariant data1, QVariant data2)
static void | road (QVariant data1, QVariant data2)
static void | base (QVariant data1, QVariant data2)
static void | mine (QVariant data1, QVariant data2)
static void | irrigate (QVariant data1, QVariant data2)
static void | nuke (QVariant data1, QVariant data2)
static void | attack (QVariant data1, QVariant data2)
static void | suicide_attack (QVariant data1, QVariant data2)
static void | paradrop (QVariant data1, QVariant data2)
static void | paradrop_conquer (QVariant data1, QVariant data2)
static void | paradrop_frighten (QVariant data1, QVariant data2)
static void | paradrop_frighten_conquer (QVariant data1, QVariant data2)
static void | paradrop_enter (QVariant data1, QVariant data2)
static void | paradrop_enter_conquer (QVariant data1, QVariant data2)
static void | disembark1 (QVariant data1, QVariant data2)
static void | disembark2 (QVariant data1, QVariant data2)
static void | enter_hut (QVariant data1, QVariant data2)
static void | enter_hut2 (QVariant data1, QVariant data2)
static void | frighten_hut (QVariant data1, QVariant data2)
static void | frighten_hut2 (QVariant data1, QVariant data2)
static void | regular_move (QVariant data1, QVariant data2)
static void | convert_unit (QVariant data1, QVariant data2)
static void | fortify (QVariant data1, QVariant data2)
static void | disband_unit (QVariant data1, QVariant data2)
static void | homeless (QVariant data1, QVariant data2)
static void | join_city (QVariant data1, QVariant data2)
static void | unit_home_city (QVariant data1, QVariant data2)
static void | unit_upgrade (QVariant data1, QVariant data2)
static void | airlift (QVariant data1, QVariant data2)
static void | conquer_city (QVariant data1, QVariant data2)
static void | conquer_city2 (QVariant data1, QVariant data2)
static void | conquer_extras (QVariant data1, QVariant data2)
static void | conquer_extras2 (QVariant data1, QVariant data2)
static void | heal_unit (QVariant data1, QVariant data2)
static void | heal_unit2 (QVariant data1, QVariant data2)
static void | transport_board (QVariant data1, QVariant data2)
static void | transport_embark (QVariant data1, QVariant data2)
static void | transport_embark2 (QVariant data1, QVariant data2)
static void | transport_embark3 (QVariant data1, QVariant data2)
static void | transport_alight (QVariant data1, QVariant data2)
static void | transport_unload (QVariant data1, QVariant data2)
static void | keep_moving (QVariant data1, QVariant data2)
static void | pillage_something (QVariant data1, QVariant data2)
static void | action_entry (choice_dialog *cd, action_id act, const struct act_prob *act_probs, const char *custom, QVariant data1, QVariant data2)
static const QHash< action_id, pfcn_void > | af_map_init (void)
void | popup_notify_goto_dialog (const char *headline, const char *lines, const struct text_tag_list *tags, struct tile *ptile)
void | popup_connect_msg (const char *headline, const char *message)
void | popup_notify_dialog (const char *caption, const char *headline, const char *lines)
void | popup_races_dialog (struct player *pplayer)
void | popdown_races_dialog (void)
void | unit_select_dialog_popup (struct tile *ptile)
void | unit_select_dialog_update_real (void *unused)
void | update_nationset_combo ()
void | races_update_pickable (bool nationset_change)
void | races_toggles_set_sensitive (void)
void | popup_revolution_dialog (struct government *gov)
bool | try_default_unit_action (QVariant q1, QVariant q2)
bool | try_default_city_action (QVariant q1, QVariant q2)
static void | act_sel_wait (QVariant data1, QVariant data2)
void | revolution_response (struct government *gov)
static void | diplomat_queue_handle_primary (int actor_unit_id)
static void | diplomat_queue_handle_secondary (int actor_id)
void | action_selection_no_longer_in_progress_gui_specific (int actor_id)
void | popup_action_selection (struct unit *actor_unit, struct city *target_city, struct unit *target_unit, struct tile *target_tile, struct extra_type *target_extra, const struct act_prob *act_probs)
static action_id | get_non_targeted_action_id (action_id tgt_action_id)
static action_id | get_production_targeted_action_id (action_id tgt_action_id)
static void | action_entry_update (Choice_dialog_button *button, action_id act, const struct act_prob *act_probs, const char *custom, QVariant data1, QVariant data2)
static void | spy_steal_shared (QVariant data1, QVariant data2, action_id act_id)
void | popup_incite_dialog (struct unit *actor, struct city *tcity, int cost, const struct action *paction)
void | popup_bribe_dialog (struct unit *actor, struct unit *tunit, int cost, const struct action *paction)
void | popup_sabotage_dialog (struct unit *actor, struct city *tcity, const struct action *paction)
void | popup_pillage_dialog (struct unit *punit, bv_extras extras)
void | popup_disband_dialog (struct unit_list *punits)
void | popup_tileset_suggestion_dialog (void)
void | popup_soundset_suggestion_dialog (void)
void | popup_musicset_suggestion_dialog (void)
bool | popup_theme_suggestion_dialog (const char *theme_name)
void | restart_notify_dialogs ()
void | popdown_all_game_dialogs (void)
int | action_selection_actor_unit (void)
int | action_selection_target_city (void)
int | action_selection_target_tile (void)
int | action_selection_target_extra (void)
int | action_selection_target_unit (void)
void | action_selection_refresh (struct unit *actor_unit, struct city *target_city, struct unit *target_unit, struct tile *target_tile, struct extra_type *target_extra, const struct act_prob *act_probs)
void | action_selection_close (void)
void | show_tech_gained_dialog (Tech_type_id tech)
void | show_tileset_error (bool fatal, const char *tset_name, const char *msg)
void | popup_upgrade_dialog (struct unit_list *punits)
bool | qtg_handmade_scenario_warning ()
bool | qtg_request_transport (struct unit *pcargo, struct tile *ptile)
void | qtg_popup_combat_info (int attacker_unit_id, int defender_unit_id, int attacker_hp, int defender_hp, bool make_att_veteran, bool make_def_veteran)

## Variables

static bool | is_showing_pillage_dialog = false
static races_dialog * | race_dialog
static bool | is_race_dialog_open = false
static bool | is_more_user_input_needed = FALSE
static bool | did_not_decide = false
char | forced_tileset_name [512]
static const QHash< action_id, pfcn_void > | af_map = af_map_init()

## Macro Definition Documentation

## ◆ BUTTON_CANCEL

#define BUTTON_CANCEL (BUTTON_WAIT + 1)

Definition at line 69 of file dialogs.cpp.

## ◆ BUTTON_COUNT

#define BUTTON_COUNT (BUTTON_CANCEL + 1)

Definition at line 70 of file dialogs.cpp.

## ◆ BUTTON_WAIT

#define BUTTON_WAIT (ACTION_COUNT + 1)

Definition at line 68 of file dialogs.cpp.

## Function Documentation

## ◆ act_sel_wait()

static void act_sel_wait | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Delay selection of what action to take.

Definition at line 1889 of file dialogs.cpp.

Referenced by popup_action_selection().

## ◆ action_entry()

static void action_entry | ( | choice_dialog * | cd,
|  | action_id | act,
|  | const struct act_prob * | act_probs,
|  | const char * | custom,
|  | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Show the user the action if it is enabled.

Definition at line 2296 of file dialogs.cpp.

Referenced by action_selection_refresh(), and popup_action_selection().

## ◆ action_entry_update()

static void action_entry_update | ( | Choice_dialog_button * | button,
|  | action_id | act,
|  | const struct act_prob * | act_probs,
|  | const char * | custom,
|  | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Update an existing button.

Definition at line 2329 of file dialogs.cpp.

Referenced by action_selection_refresh().

## ◆ action_selection_actor_unit()

int action_selection_actor_unit | ( | void |  | ) |

Returns the id of the actor unit currently handled in action selection dialog when the action selection dialog is open. Returns IDENTITY_NUMBER_ZERO if no action selection dialog is open.

Definition at line 3996 of file dialogs.cpp.

Referenced by action_selection_refresh().

## ◆ action_selection_close()

void action_selection_close | ( | void |  | ) |

Closes the action selection dialog

Definition at line 4201 of file dialogs.cpp.

## ◆ action_selection_no_longer_in_progress_gui_specific()

void action_selection_no_longer_in_progress_gui_specific | ( | int | actor_id | ) |

Let the non shared client code know that the action selection process no longer is in progress for the specified unit.

This allows the client to clean up any client specific assumptions.

Definition at line 1970 of file dialogs.cpp.

## ◆ action_selection_refresh()

void action_selection_refresh | ( | struct unit * | actor_unit,
|  | struct city * | target_city,
|  | struct unit * | target_unit,
|  | struct tile * | target_tile,
|  | struct extra_type * | target_extra,
|  | const struct act_prob * | act_probs
| ) |  |

Updates the action selection dialog with new information.

Definition at line 4078 of file dialogs.cpp.

## ◆ action_selection_target_city()

int action_selection_target_city | ( | void |  | ) |

Returns id of the target city of the actions currently handled in action selection dialog when the action selection dialog is open and it has a city target. Returns IDENTITY_NUMBER_ZERO if no action selection dialog is open or no city target is present in the action selection dialog.

Definition at line 4013 of file dialogs.cpp.

## ◆ action_selection_target_extra()

int action_selection_target_extra | ( | void |  | ) |

Returns id of the target extra of the actions currently handled in action selection dialog when the action selection dialog is open and it has an extra target. Returns EXTRA_NONE if no action selection dialog is open or no extra target is present in the action selection dialog.

Definition at line 4047 of file dialogs.cpp.

Referenced by base(), clean_fallout(), clean_pollution(), irrigate(), mine(), pillage(), and road().

## ◆ action_selection_target_tile()

int action_selection_target_tile | ( | void |  | ) |

Returns id of the target tile of the actions currently handled in action selection dialog when the action selection dialog is open and it has a tile target. Returns TILE_INDEX_NONE if no action selection dialog is open.

Definition at line 4030 of file dialogs.cpp.

## ◆ action_selection_target_unit()

int action_selection_target_unit | ( | void |  | ) |

Returns id of the target unit of the actions currently handled in action selection dialog when the action selection dialog is open and it has a unit target. Returns IDENTITY_NUMBER_ZERO if no action selection dialog is open or no unit target is present in the action selection dialog.

Definition at line 4064 of file dialogs.cpp.

## ◆ af_map_init()

static const QHash< action_id, pfcn_void > af_map_init | ( | void |  | ) |

static

Initialize a mapping between an action and the function to call if the action's button is pushed.

Definition at line 196 of file dialogs.cpp.

## ◆ airlift()

static void airlift | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Airlift Unit" for choice dialog

Definition at line 1816 of file dialogs.cpp.

Referenced by af_map_init(), receive_packet_city_info_100(), receive_packet_city_info_101(), receive_packet_city_info_102(), receive_packet_city_info_103(), receive_packet_edit_city_100(), and receive_packet_edit_city_101().

## ◆ attack()

static void attack | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Attack" for choice dialog

Definition at line 2917 of file dialogs.cpp.

Referenced by af_map_init(), dai_choose_defender_versus(), dai_rampage_want(), dai_unit_attack_desirability(), dai_unit_defense_desirability(), find_something_to_kill(), kill_desire(), kill_something_with(), and process_attacker_want().

## ◆ base()

static void base | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Build Base" for choice dialog

Definition at line 2839 of file dialogs.cpp.

Referenced by advance_req_iter_init(), advance_root_req_iter_init(), af_map_init(), check_vote(), compute_max_stats_heuristic(), get_city_dialog_output_text(), get_unit_vision_base(), hp_gain_coord(), impr_base_build_shield_cost(), impr_build_shield_cost(), impr_estimate_build_shield_cost(), is_on_unit_upgrade_path(), luascript_call(), research_iter_init(), research_player_iter_init(), secfile_save(), set_unit_activity_base(), sg_load_player_unit(), trade_from_route(), and utype_build_shield_cost().

## ◆ bombard()

static void bombard | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Bombard" for choice dialog

Definition at line 2666 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ bombard2()

static void bombard2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Bombard 2" for choice dialog

Definition at line 2678 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ bombard3()

static void bombard3 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Bombard 3" for choice dialog

Definition at line 2690 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ capture_units()

static void capture_units | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action capture units for choice dialog

Definition at line 2642 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ caravan_establish_trade()

static void caravan_establish_trade | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action establish trade for choice dialog

Definition at line 1735 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ caravan_help_build()

static void caravan_help_build | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action help build wonder for choice dialog

Definition at line 1750 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ caravan_marketplace()

static void caravan_marketplace | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action enter market place for choice dialog

Definition at line 1720 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ clean_fallout()

static void clean_fallout | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Clean Fallout" for choice dialog

Definition at line 2798 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ clean_pollution()

static void clean_pollution | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Clean Pollution" for choice dialog

Definition at line 2778 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ conquer_city()

static void conquer_city | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Conquer City" for choice dialog

Definition at line 1831 of file dialogs.cpp.

Referenced by af_map_init(), api_edit_unit_move(), api_edit_unit_teleport(), tolua_server_edit_unit_move01(), and tolua_server_edit_unit_teleport01().

## ◆ conquer_city2()

static void conquer_city2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Conquer City 2" for choice dialog

Definition at line 1846 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ conquer_extras()

static void conquer_extras | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Conquer Extras" for choice dialog

Definition at line 1861 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ conquer_extras2()

static void conquer_extras2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Conquer Extras 2" for choice dialog

Definition at line 1875 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ convert_unit()

static void convert_unit | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Convert Unit for choice dialog

Definition at line 2384 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ cultivate()

static void cultivate | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Cultivate" for choice dialog

Definition at line 2728 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ destroy_city()

static void destroy_city | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action destroy city for choice dialog

Definition at line 3294 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_bribe()

static void diplomat_bribe | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action bribe unit for choice dialog

Definition at line 2410 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_embassy()

static void diplomat_embassy | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action establish embassy for choice dialog

Definition at line 3384 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_incite()

static void diplomat_incite | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action incite revolt for choice dialog

Definition at line 3489 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_incite_escape()

static void diplomat_incite_escape | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action incite revolt and escape for choice dialog

Definition at line 3507 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_investigate()

static void diplomat_investigate | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Investigate City Spend Unit for choice dialog

Definition at line 3414 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_queue_handle_primary()

static void diplomat_queue_handle_primary | ( | int | actor_unit_id | ) |

static

Move the queue of units that need user input forward unless the current unit will need more input.

Definition at line 1917 of file dialogs.cpp.

## ◆ diplomat_queue_handle_secondary()

static void diplomat_queue_handle_secondary | ( | int | actor_id | ) |

static

Move the queue of units that need user input forward since the current unit doesn't require the extra input any more.

Definition at line 1957 of file dialogs.cpp.

## ◆ diplomat_sabotage()

static void diplomat_sabotage | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action sabotage for choice dialog

Definition at line 3429 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_sabotage_esc()

static void diplomat_sabotage_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action sabotage and escape for choice dialog

Definition at line 3444 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_steal()

static void diplomat_steal | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action steal with diplomat for choice dialog

Definition at line 3459 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ diplomat_steal_esc()

static void diplomat_steal_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Steal Tech Escape Expected" for choice dialog

Definition at line 3474 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ disband_unit()

static void disband_unit | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Disband Unit for choice dialog

Definition at line 2358 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ disembark1()

static void disembark1 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Disembark" for choice dialog

Definition at line 2540 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ disembark2()

static void disembark2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Disembark 2" for choice dialog

Definition at line 2555 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ enter_hut()

static void enter_hut | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Enter Hut" for choice dialog

Definition at line 2570 of file dialogs.cpp.

Referenced by af_map_init(), api_edit_unit_move(), api_edit_unit_teleport(), tolua_server_edit_unit_move01(), tolua_server_edit_unit_teleport01(), and unit_move().

## ◆ enter_hut2()

static void enter_hut2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Enter Hut 2" for choice dialog

Definition at line 2585 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ expel_unit()

static void expel_unit | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action expel unit for choice dialog

Definition at line 2654 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ fortify()

static void fortify | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Fortify" for choice dialog

Definition at line 2370 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ found_city()

static void found_city | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action build city for choice dialog

Definition at line 2702 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ frighten_hut()

static void frighten_hut | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Frighten Hut" for choice dialog

Definition at line 2600 of file dialogs.cpp.

Referenced by af_map_init(), api_edit_unit_move(), api_edit_unit_teleport(), tolua_server_edit_unit_move01(), tolua_server_edit_unit_teleport01(), unit_enter_hut(), and unit_move().

## ◆ frighten_hut2()

static void frighten_hut2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Frighten Hut 2" for choice dialog

Definition at line 2615 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ get_non_targeted_action_id()

static action_id get_non_targeted_action_id | ( | action_id | tgt_action_id | ) |

static

Get the non targeted version of an action so it, if enabled, can appear in the target selection dialog.

Definition at line 2253 of file dialogs.cpp.

Referenced by popup_sabotage_dialog(), spy_sabotage(), spy_steal_shared(), and spy_steal_something().

## ◆ get_production_targeted_action_id()

static action_id get_production_targeted_action_id | ( | action_id | tgt_action_id | ) |

static

Get the production targeted version of an action so it, if enabled, can appear in the target selection dialog.

Definition at line 2276 of file dialogs.cpp.

Referenced by popup_sabotage_dialog(), and spy_sabotage().

## ◆ heal_unit()

static void heal_unit | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Heal Unit" for choice dialog

Definition at line 2452 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ heal_unit2()

static void heal_unit2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Heal Unit 2" for choice dialog

Definition at line 2463 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ homeless()

static void homeless | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Unit Make Homeless" for choice dialog

Definition at line 2396 of file dialogs.cpp.

Referenced by af_map_init(), and transfer_city_units().

## ◆ irrigate()

static void irrigate | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Build Irrigation" for choice dialog

Definition at line 2881 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ join_city()

static void join_city | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action join city for choice dialog

Definition at line 3037 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ keep_moving()

static void keep_moving | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Empty action for choice dialog (just do nothing)

Definition at line 1897 of file dialogs.cpp.

Referenced by popup_action_selection().

## ◆ mine()

static void mine | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Build Mine" for choice dialog

Definition at line 2860 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ nuke()

static void nuke | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Explode Nuclear" for choice dialog

Definition at line 2902 of file dialogs.cpp.

Referenced by adv_data_phase_init(), and af_map_init().

## ◆ nuke_city()

static void nuke_city | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Nuke City" for choice dialog

Definition at line 3279 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ nuke_units()

static void nuke_units | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Nuke Units" for choice dialog

Definition at line 2630 of file dialogs.cpp.

Referenced by adv_data_phase_init(), and af_map_init().

## ◆ paradrop()

static void paradrop | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Paradrop Unit" for choice dialog

Definition at line 2947 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ paradrop_conquer()

static void paradrop_conquer | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Paradrop Unit Conquer" for choice dialog

Definition at line 2962 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ paradrop_enter()

static void paradrop_enter | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Paradrop Unit Enter" for choice dialog

Definition at line 3007 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ paradrop_enter_conquer()

static void paradrop_enter_conquer | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Paradrop Unit Enter Conquer" for choice dialog

Definition at line 3022 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ paradrop_frighten()

static void paradrop_frighten | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Paradrop Unit Frighten" for choice dialog

Definition at line 2977 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ paradrop_frighten_conquer()

static void paradrop_frighten_conquer | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Paradrop Unit Frighten Conquer" for choice dialog

Definition at line 2992 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ pillage()

static void pillage | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Pillage" for choice dialog

Definition at line 2758 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ pillage_something()

static void pillage_something | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action pillage for choice dialog

Definition at line 3650 of file dialogs.cpp.

Referenced by popup_pillage_dialog().

## ◆ plant()

static void plant | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Plant" for choice dialog

Definition at line 2743 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ popdown_all_game_dialogs()

void popdown_all_game_dialogs | ( | void |  | ) |

This function is called when the client disconnects or the game is over. It should close all dialog windows for that game.

Definition at line 3957 of file dialogs.cpp.

## ◆ popdown_all_spaceships_dialogs()

void popdown_all_spaceships_dialogs | ( |  | ) |

extern

Close all spaceships dialogs

Definition at line 174 of file spaceshipdlg.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_city_report()

void popdown_city_report | ( |  | ) |

extern

Closes city report

Definition at line 1341 of file cityrep.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_economy_report()

void popdown_economy_report | ( |  | ) |

extern

Closes economy report

Definition at line 1817 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_endgame_report()

void popdown_endgame_report | ( |  | ) |

extern

Removes endgame report

Definition at line 1755 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_players_report()

void popdown_players_report | ( | void |  | ) |

extern

Closes players report

Definition at line 1159 of file plrdlg.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_races_dialog()

void popdown_races_dialog | ( | void |  | ) |

Close the nation selection dialog. This should allow the user to (at least) select a unit to activate.

Definition at line 1220 of file dialogs.cpp.

## ◆ popdown_science_report()

void popdown_science_report | ( |  | ) |

extern

Closes science report

Definition at line 1835 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_units_report()

void popdown_units_report | ( |  | ) |

extern

Closes units report

Definition at line 1853 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popup_action_selection()

void popup_action_selection | ( | struct unit * | actor_unit,
|  | struct city * | target_city,
|  | struct unit * | target_unit,
|  | struct tile * | target_tile,
|  | struct extra_type * | target_extra,
|  | const struct act_prob * | act_probs
| ) |  |

Popup a dialog that allows the player to select what action a unit should take.

Definition at line 1980 of file dialogs.cpp.

## ◆ popup_bribe_dialog()

void popup_bribe_dialog | ( | struct unit * | actor,
|  | struct unit * | tunit,
|  | int | cost,
|  | const struct action * | paction
| ) |  |

Popup a dialog asking a diplomatic unit if it wishes to bribe the given enemy unit.

Definition at line 3603 of file dialogs.cpp.

## ◆ popup_connect_msg()

void popup_connect_msg | ( | const char * | headline,
|  | const char * | message
| ) |  |

Popup a dialog to display connection message from server.

Definition at line 1181 of file dialogs.cpp.

## ◆ popup_disband_dialog()

void popup_disband_dialog | ( | struct unit_list * | punits | ) |

Pops up a dialog to confirm disband of the unit(s).

Definition at line 3841 of file dialogs.cpp.

## ◆ popup_incite_dialog()

void popup_incite_dialog | ( | struct unit * | actor,
|  | struct city * | tcity,
|  | int | cost,
|  | const struct action * | paction
| ) |  |

Popup a window asking a diplomatic unit if it wishes to incite the given enemy city.

Definition at line 3541 of file dialogs.cpp.

## ◆ popup_musicset_suggestion_dialog()

void popup_musicset_suggestion_dialog | ( | void |  | ) |

Ruleset (modpack) has suggested loading certain musicset. Confirm from user and load.

Definition at line 3907 of file dialogs.cpp.

## ◆ popup_notify_dialog()

void popup_notify_dialog | ( | const char * | caption,
|  | const char * | headline,
|  | const char * | lines
| ) |  |

Popup a generic dialog to display some generic information.

Definition at line 1195 of file dialogs.cpp.

## ◆ popup_notify_goto_dialog()

void popup_notify_goto_dialog | ( | const char * | headline,
|  | const char * | lines,
|  | const struct text_tag_list * | tags,
|  | struct tile * | ptile
| ) |  |

Popup a dialog to display information about an event that has a specific location. The user should be given the option to goto that location.

Definition at line 1169 of file dialogs.cpp.

## ◆ popup_pillage_dialog()

void popup_pillage_dialog | ( | struct unit * | punit,
|  | bv_extras | extras
| ) |  |

Popup a dialog asking the unit which improvement they would like to pillage.

Definition at line 3762 of file dialogs.cpp.

## ◆ popup_races_dialog()

void popup_races_dialog | ( | struct player * | pplayer | ) |

Popup the nation selection dialog.

Definition at line 1206 of file dialogs.cpp.

## ◆ popup_revolution_dialog()

void popup_revolution_dialog | ( | struct government * | gov | ) |

Popup a dialog asking if the player wants to start a revolution.

Definition at line 1282 of file dialogs.cpp.

## ◆ popup_sabotage_dialog()

void popup_sabotage_dialog | ( | struct unit * | actor,
|  | struct city * | tcity,
|  | const struct action * | paction
| ) |  |

Popup a dialog asking a diplomatic unit if it wishes to sabotage the given enemy city.

Definition at line 3700 of file dialogs.cpp.

## ◆ popup_soundset_suggestion_dialog()

void popup_soundset_suggestion_dialog | ( | void |  | ) |

Ruleset (modpack) has suggested loading certain soundset. Confirm from user and load.

Definition at line 3882 of file dialogs.cpp.

## ◆ popup_theme_suggestion_dialog()

bool popup_theme_suggestion_dialog | ( | const char * | theme_name | ) |

Tileset (modpack) has suggested loading certain theme. Confirm from user and load.

Definition at line 3932 of file dialogs.cpp.

## ◆ popup_tileset_suggestion_dialog()

void popup_tileset_suggestion_dialog | ( | void |  | ) |

Ruleset (modpack) has suggested loading certain tileset. Confirm from user and load.

Definition at line 3851 of file dialogs.cpp.

## ◆ popup_upgrade_dialog()

void popup_upgrade_dialog | ( | struct unit_list * | punits | ) |

Popup dialog for upgrade units

Definition at line 4263 of file dialogs.cpp.

Referenced by unit_upgrade().

## ◆ qtg_handmade_scenario_warning()

bool qtg_handmade_scenario_warning | ( |  | ) |

Give a warning when user is about to edit scenario with manually set properties.

Definition at line 4749 of file dialogs.cpp.

Referenced by setup_gui_funcs().

## ◆ qtg_popup_combat_info()

void qtg_popup_combat_info | ( | int | attacker_unit_id,
|  | int | defender_unit_id,
|  | int | attacker_hp,
|  | int | defender_hp,
|  | bool | make_att_veteran,
|  | bool | make_def_veteran
| ) |  |

Popup detailed information about battle or save information for some kind of statistics

Definition at line 4799 of file dialogs.cpp.

Referenced by setup_gui_funcs().

## ◆ qtg_request_transport()

bool qtg_request_transport | ( | struct unit * | pcargo,
|  | struct tile * | ptile
| ) |  |

Unit wants to get into some transport on given tile.

Definition at line 4758 of file dialogs.cpp.

Referenced by unit_item::load_unit(), setup_gui_funcs(), and mr_menu::slot_board().

## ◆ races_toggles_set_sensitive()

void races_toggles_set_sensitive | ( | void |  | ) |

In the nation selection dialog, make already-taken nations unavailable. This information is contained in the packet_nations_used packet.

Definition at line 1272 of file dialogs.cpp.

## ◆ races_update_pickable()

void races_update_pickable | ( | bool | nationset_change | ) |

The server has changed the set of selectable nations.

Definition at line 1261 of file dialogs.cpp.

## ◆ regular_move()

static void regular_move | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Unit Move" for choice dialog

Definition at line 3525 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ restart_notify_dialogs()

void restart_notify_dialogs | ( |  | ) |

Restarts all notify dialogs

Definition at line 3941 of file dialogs.cpp.

Referenced by apply_notify_font().

## ◆ revolution_response()

void revolution_response | ( | struct government * | gov | ) |

Starts revolution with targeted government as target or anarchy otherwise

Definition at line 1904 of file dialogs.cpp.

Referenced by popup_revolution_dialog().

## ◆ road()

static void road | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Build Road" for choice dialog

Definition at line 2818 of file dialogs.cpp.

Referenced by af_map_init(), fill_road_corner_sprites(), fill_road_sprite_array(), helptext_extra(), set_unit_activity_road(), sg_load_player_unit(), and tileset_lookup_sprite_tags().

## ◆ show_tech_gained_dialog()

void show_tech_gained_dialog | ( | Tech_type_id | tech | ) |

Player has gained a new tech.

Definition at line 4215 of file dialogs.cpp.

## ◆ show_tileset_error()

void show_tileset_error | ( | bool | fatal,
|  | const char * | tset_name,
|  | const char * | msg
| ) |  |

Show tileset error dialog.

Definition at line 4222 of file dialogs.cpp.

## ◆ spy_embassy()

static void spy_embassy | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action establish embassy for choice dialog

Definition at line 3369 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_investigate()

static void spy_investigate | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action investigate city for choice dialog

Definition at line 3399 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_nuke_city()

static void spy_nuke_city | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action suitcase nuke for choice dialog

Definition at line 3249 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_nuke_city_esc()

static void spy_nuke_city_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action suitcase nuke escape for choice dialog

Definition at line 3264 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_poison()

static void spy_poison | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Poison City for choice dialog

Definition at line 3219 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_poison_esc()

static void spy_poison_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Poison City Escape for choice dialog

Definition at line 3234 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_request_sabotage_esc_list()

static void spy_request_sabotage_esc_list | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action request sabotage (and escape) list for choice dialog

Definition at line 3200 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_request_sabotage_list()

static void spy_request_sabotage_list | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action request sabotage list for choice dialog

Definition at line 3182 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_request_strike_bld_list()

static void spy_request_strike_bld_list | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action request "Surgical Strike Building" list for choice dialog

Definition at line 3165 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_sabotage()

static void spy_sabotage | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action sabotage with spy for choice dialog

Definition at line 3670 of file dialogs.cpp.

Referenced by popup_sabotage_dialog().

## ◆ spy_sabotage_unit()

static void spy_sabotage_unit | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action sabotage unit for choice dialog

Definition at line 2428 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_sabotage_unit_esc()

static void spy_sabotage_unit_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Sabotage Unit Escape for choice dialog

Definition at line 2440 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_steal()

static void spy_steal | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Targeted Steal Tech" for choice dialog

Definition at line 3126 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_steal_esc()

static void spy_steal_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Targeted Steal Tech Escape Expected" for choice dialog

Definition at line 3134 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_steal_gold()

static void spy_steal_gold | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action steal gold for choice dialog

Definition at line 3309 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_steal_gold_esc()

static void spy_steal_gold_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action steal gold escape for choice dialog

Definition at line 3324 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_steal_maps()

static void spy_steal_maps | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action steal maps for choice dialog

Definition at line 3339 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_steal_maps_esc()

static void spy_steal_maps_esc | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action steal maps escape for choice dialog

Definition at line 3354 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ spy_steal_shared()

static void spy_steal_shared | ( | QVariant | data1,
|  | QVariant | data2,
|  | action_id | act_id
| ) |  |

static

Action steal tech with spy for choice dialog

Definition at line 3052 of file dialogs.cpp.

Referenced by spy_steal(), and spy_steal_esc().

## ◆ spy_steal_something()

static void spy_steal_something | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action steal given tech for choice dialog

Definition at line 3142 of file dialogs.cpp.

Referenced by spy_steal_shared().

## ◆ suicide_attack()

static void suicide_attack | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Suicide Attack" for choice dialog

Definition at line 2932 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ transform_terrain()

static void transform_terrain | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transform Terrain" for choice dialog

Definition at line 2713 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ transport_alight()

static void transport_alight | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Alight" for choice dialog

Definition at line 2529 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ transport_board()

static void transport_board | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Board" for choice dialog

Definition at line 2474 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ transport_embark()

static void transport_embark | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Embark" for choice dialog

Definition at line 2485 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ transport_embark2()

static void transport_embark2 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Embark 2" for choice dialog

Definition at line 2496 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ transport_embark3()

static void transport_embark3 | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Embark 3" for choice dialog

Definition at line 2507 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ transport_unload()

static void transport_unload | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Transport Unload" for choice dialog

Definition at line 2518 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ try_default_city_action()

bool try_default_city_action | ( | QVariant | q1,
|  | QVariant | q2
| ) |  |

Try to pick up default city action

Definition at line 1549 of file dialogs.cpp.

Referenced by popup_action_selection().

## ◆ try_default_unit_action()

bool try_default_unit_action | ( | QVariant | q1,
|  | QVariant | q2
| ) |  |

Try to pick up default unit action

Definition at line 1531 of file dialogs.cpp.

Referenced by popup_action_selection().

## ◆ unit_disband_recover()

static void unit_disband_recover | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Disband Unit Recover for choice dialog

Definition at line 1765 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ unit_home_city()

static void unit_home_city | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action Home City for choice dialog

Definition at line 1780 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ unit_select_dialog_popup()

void unit_select_dialog_popup | ( | struct tile * | ptile | ) |

Popup a dialog window to select units on a particular tile.

Definition at line 1231 of file dialogs.cpp.

## ◆ unit_select_dialog_update_real()

void unit_select_dialog_update_real | ( | void * | unused | ) |

Update the dialog window to select units on a particular tile.

Definition at line 1243 of file dialogs.cpp.

## ◆ unit_upgrade()

static void unit_upgrade | ( | QVariant | data1,
|  | QVariant | data2
| ) |  |

static

Action "Upgrade Unit" for choice dialog

Definition at line 1795 of file dialogs.cpp.

Referenced by af_map_init().

## ◆ update_nationset_combo()

void update_nationset_combo | ( |  | ) |

Updates nationset combobox

Definition at line 1251 of file dialogs.cpp.

Referenced by option_gui_update().

## Variable Documentation

## ◆ af_map

const QHash<action_id, pfcn_void> af_map = af_map_init()

static

Definition at line 305 of file dialogs.cpp.

Referenced by action_entry(), try_default_city_action(), and try_default_unit_action().

## ◆ did_not_decide

bool did_not_decide = false

static

Definition at line 187 of file dialogs.cpp.

Referenced by action_selection_close(), and diplomat_queue_handle_primary().

## ◆ forced_tileset_name

char forced_tileset_name[512]

extern

Definition at line 136 of file client_main.c.

Referenced by popup_tileset_suggestion_dialog().

## ◆ is_more_user_input_needed

bool is_more_user_input_needed = FALSE

static

Definition at line 183 of file dialogs.cpp.

Referenced by action_selection_no_longer_in_progress_gui_specific(), diplomat_bribe(), diplomat_incite(), diplomat_incite_escape(), diplomat_queue_handle_primary(), diplomat_queue_handle_secondary(), popup_action_selection(), popup_bribe_dialog(), popup_incite_dialog(), popup_sabotage_dialog(), spy_request_sabotage_esc_list(), spy_request_sabotage_list(), spy_request_strike_bld_list(), and spy_steal_shared().

## ◆ is_race_dialog_open

bool is_race_dialog_open = false

static

Definition at line 178 of file dialogs.cpp.

Referenced by popdown_races_dialog(), popup_races_dialog(), races_dialog::races_dialog(), races_toggles_set_sensitive(), races_update_pickable(), update_nationset_combo(), and races_dialog::~races_dialog().

## ◆ is_showing_pillage_dialog

bool is_showing_pillage_dialog = false

static

Definition at line 176 of file dialogs.cpp.

Referenced by pillage_something(), and popup_pillage_dialog().

## ◆ race_dialog

races_dialog* race_dialog

static

Definition at line 177 of file dialogs.cpp.

Referenced by popdown_races_dialog(), popup_races_dialog(), races_toggles_set_sensitive(), races_update_pickable(), and update_nationset_combo().